(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     51712,       1315]
NotebookOptionsPosition[     48953,       1214]
NotebookOutlinePosition[     49331,       1231]
CellTagsIndexPosition[     49288,       1228]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Dilatation thermique", "Subtitle",
 CellChangeTimes->{{3.401791745426601*^9, 3.401791750419264*^9}},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell["Ex 1", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.40178737927586*^9}},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"l0", "\[Rule]", "3000"}], ",", 
     RowBox[{"alpha", "->", 
      RowBox[{"1.2", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"deltat", "\[Rule]", "70"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l0", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"alpha", "*", "deltat"}]}], ")"}]}], "/.", "dn"}]}], "Input",
 CellChangeTimes->{{3.4017870025359097`*^9, 3.401787169182137*^9}, {
   3.401787211465871*^9, 3.401787213872025*^9}, 3.401787340437838*^9}],

Cell[BoxData["2997.48`"], "Output",
 CellChangeTimes->{
  3.401787138276202*^9, {3.4017871697296*^9, 3.40178721452074*^9}, 
   3.401787344084195*^9, 3.401796180319577*^9, 3.401862159505274*^9, 
   3.401862495476149*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 2", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"l0", "\[Rule]", "1000"}], ",", 
     RowBox[{"t", "\[Rule]", "20"}], ",", 
     RowBox[{"deltal", "\[Rule]", "0.1"}], ",", 
     RowBox[{"alpha", "->", 
      RowBox[{"1.66", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t", "+", 
   RowBox[{"deltal", "/", 
    RowBox[{"(", 
     RowBox[{"alpha", "*", "l0"}], ")"}]}]}], "/.", 
  "dn"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.401787418539081*^9, 3.401787451199457*^9}, {
  3.4017875199612722`*^9, 3.401787590723839*^9}, {3.401787654080049*^9, 
  3.4017876638785257`*^9}, {3.4017877003775806`*^9, 3.401787703431676*^9}}],

Cell[BoxData["26.02409638554217`"], "Output",
 CellChangeTimes->{{3.4017875753729677`*^9, 3.4017875909134197`*^9}, {
   3.401787695395892*^9, 3.401787704050056*^9}, 3.40179618042946*^9, 
   3.401862159622095*^9, 3.401862495595089*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 3", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}, 
   3.4017877714343443`*^9},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"alpha1", "\[Rule]", 
      RowBox[{"1.66", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"alpha2", "\[Rule]", 
      RowBox[{"1.2", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"alpha3", "\[Rule]", 
      RowBox[{"2.9", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"l1", "\[Rule]", "1"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"alpha1", "*", "l1"}], "\[Equal]", 
       RowBox[{
        RowBox[{"alpha2", "*", "l2"}], "+", 
        RowBox[{"alpha3", "*", "l3"}]}]}], ",", 
      RowBox[{"l1", "\[Equal]", 
       RowBox[{"l2", "+", "l3"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l2", ",", "l3"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"sol", "/.", "dn"}]}], "Input",
 CellChangeTimes->{{3.4017878058388367`*^9, 3.4017879989791822`*^9}, {
  3.401788057044427*^9, 3.401788102150071*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"l2", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "alpha1"}], " ", "l1"}], "+", 
        RowBox[{"alpha3", " ", "l1"}]}], 
       RowBox[{"alpha2", "-", "alpha3"}]]}]}], ",", 
    RowBox[{"l3", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"alpha1", " ", "l1"}], "-", 
        RowBox[{"alpha2", " ", "l1"}]}], 
       RowBox[{"alpha2", "-", "alpha3"}]]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.401788065956399*^9, 3.4017881023805733`*^9}, 
   3.4017961804737186`*^9, 3.401862159777807*^9, 3.401862495637537*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"l2", "\[Rule]", "0.7294117647058823`"}], ",", 
    RowBox[{"l3", "\[Rule]", "0.27058823529411763`"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.401788065956399*^9, 3.4017881023805733`*^9}, 
   3.4017961804737186`*^9, 3.401862159777807*^9, 3.401862495642714*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 4", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}, 
   3.4017877714343443`*^9, 3.401788150950436*^9},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"alpha1", "\[Rule]", 
      RowBox[{"1.66", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"alpha2", "\[Rule]", 
      RowBox[{"1.2", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}]}], ",", 
     RowBox[{"deltal", "\[Rule]", "0.2"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"alpha1", "*", "l1"}], "\[Equal]", 
       RowBox[{"alpha2", "*", "l2"}]}], ",", 
      RowBox[{
       RowBox[{"l2", "-", "l1"}], "\[Equal]", "deltal"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l1", ",", "l2"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"sol", "/.", "dn"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.401788439506008*^9, 3.401788535571517*^9}, {
  3.4017886281203823`*^9, 3.401788636710833*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"l1", "\[Rule]", 
     FractionBox[
      RowBox[{"alpha2", " ", "deltal"}], 
      RowBox[{"alpha1", "-", "alpha2"}]]}], ",", 
    RowBox[{"l2", "\[Rule]", 
     FractionBox[
      RowBox[{"alpha1", " ", "deltal"}], 
      RowBox[{"alpha1", "-", "alpha2"}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4017885373875513`*^9, {3.401788630909924*^9, 3.401788636941819*^9}, 
   3.401796180523122*^9, 3.401862159833653*^9, 3.401862495687977*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"l1", "\[Rule]", "0.5217391304347827`"}], ",", 
    RowBox[{"l2", "\[Rule]", "0.7217391304347825`"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.4017885373875513`*^9, {3.401788630909924*^9, 3.401788636941819*^9}, 
   3.401796180523122*^9, 3.401862159833653*^9, 3.401862495702594*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 5", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}, 
   3.4017877714343443`*^9, 3.401788150950436*^9, 3.4017887757162046`*^9},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"deltav", "\[Rule]", "1."}], ",", 
     RowBox[{"alpha", "\[Rule]", 
      RowBox[{"7", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"deltat", "\[Rule]", "80"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltav", "/", 
   RowBox[{"(", 
    RowBox[{"alpha", "*", "deltat"}], ")"}]}], "/.", "dn"}]}], "Input",
 CellChangeTimes->{
  3.4017887840159283`*^9, {3.401788853385838*^9, 3.401788952090048*^9}, {
   3.4017892964854183`*^9, 3.401789318212129*^9}, {3.401789367639639*^9, 
   3.4017893723418007`*^9}, 3.401789424522564*^9}],

Cell[BoxData["17.857142857142858`"], "Output",
 CellChangeTimes->{{3.401788941165059*^9, 3.4017889523595457`*^9}, 
   3.401789426499731*^9, 3.401796180672944*^9, 3.401862159982189*^9, 
   3.401862495770761*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 6", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}, 
   3.4017877714343443`*^9, 3.401788150950436*^9, 3.4017887757162046`*^9, 
   3.401789270538927*^9},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"v", "\[Rule]", "60."}], ",", 
     RowBox[{"s", "\[Rule]", ".01"}], ",", 
     RowBox[{"alpha", "\[Rule]", 
      RowBox[{"9", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], ",", 
     RowBox[{"gamma", "\[Rule]", 
      RowBox[{"1.8", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"deltat", "\[Rule]", "80"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gamma", "*", "v", "*", 
   RowBox[{"deltat", "/", "s"}]}], "/.", "dn"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"gamma", "-", 
     RowBox[{"3", "alpha"}]}], ")"}], "v", "*", 
   RowBox[{"deltat", "/", 
    RowBox[{"(", 
     RowBox[{"s", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", "alpha", "*", "deltat"}]}], ")"}]}], ")"}]}]}], "/.", 
  "dn"}]}], "Input",
 CellChangeTimes->{{3.4017894549622498`*^9, 3.401789510242158*^9}, {
  3.401789777725546*^9, 3.401789784851593*^9}, {3.401789852797551*^9, 
  3.4017898531038513`*^9}, {3.401789885223483*^9, 3.401789939987586*^9}}],

Cell[BoxData["86.4`"], "Output",
 CellChangeTimes->{
  3.401789511583522*^9, {3.401789927091625*^9, 3.401789940926208*^9}, 
   3.40179618073991*^9, 3.401862160048872*^9, 3.401862495836849*^9}],

Cell[BoxData["73.33439846620867`"], "Output",
 CellChangeTimes->{
  3.401789511583522*^9, {3.401789927091625*^9, 3.401789940926208*^9}, 
   3.40179618073991*^9, 3.401862160048872*^9, 3.4018624958728647`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ex 7", "Subsubsection",
 CellChangeTimes->{{3.401787378018067*^9, 3.401787391093712*^9}, 
   3.4017877714343443`*^9, 3.401788150950436*^9, 3.4017887757162046`*^9, 
   3.401789270538927*^9, 3.401789994739438*^9},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"v", "\[Rule]", "500"}], ",", 
     RowBox[{"s", "\[Rule]", ".02"}], ",", 
     RowBox[{"alpha", "\[Rule]", 
      RowBox[{"9", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "6"}]}]}]}], ",", 
     RowBox[{"gamma", "\[Rule]", 
      RowBox[{"1.1", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}]}], ",", 
     RowBox[{"h", "\[Rule]", "120"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "*", 
   RowBox[{"h", "/", 
    RowBox[{"(", 
     RowBox[{"gamma", "*", "v"}], ")"}]}]}], "/.", 
  "dn"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"s", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", "alpha", "*", "deltat"}]}], ")"}], "h"}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"gamma", "-", 
         RowBox[{"3", "alpha"}]}], ")"}], "v", "*", "deltat"}]}], ",", 
     "deltat"}], "]"}], "/.", "dn"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.401790294927478*^9, 3.401790513076747*^9}, {
  3.401790546742017*^9, 3.401790560270198*^9}, {3.401790610752132*^9, 
  3.401790612912095*^9}, {3.401790650185796*^9, 3.40179065192095*^9}, {
  3.4017911326510143`*^9, 3.401791151313697*^9}}],

Cell[BoxData["4.363636363636364`"], "Output",
 CellChangeTimes->{3.4017906144403763`*^9, 3.401790652705359*^9, 
  3.401791158626055*^9, 3.401796180857334*^9, 3.401862160165557*^9, 
  3.4018624959535637`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"deltat", "\[Rule]", "4.473799195014397`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4017906144403763`*^9, 3.401790652705359*^9, 
  3.401791158626055*^9, 3.401796180857334*^9, 3.401862160165557*^9, 
  3.401862495989316*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Densit\[EAcute] de l' eau en fonction de la temp\[EAcute]rature\
\>", "Subsubsection",
 CellChangeTimes->{{3.401766101595397*^9, 3.401766112459532*^9}},
 FormatType->"TextForm"],

Cell[TextData[{
 "Handbook of Chemistry and Physics, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"55", " "}], "th"], TextForm]]],
 " Edition, 1975-1975."
}], "Text",
 CellChangeTimes->{{3.401792713790908*^9, 3.4017928007431107`*^9}, {
  3.401862969084207*^9, 3.401862970121191*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"dn", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", ".99987"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3.98", ",", "1.00000"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", ".99999"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", ".99973"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"15", ",", ".99913"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"18", ",", ".99862"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"20", ",", ".99823"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"25", ",", ".99707"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"30", ",", ".99567"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"35", ",", ".99406"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"38", ",", ".99299"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"40", ",", ".99224"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"45", ",", ".99025"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"50", ",", ".98807"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"55", ",", ".98573"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"60", ",", ".98324"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"65", ",", ".98059"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"70", ",", ".97781"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"75", ",", ".97489"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"80", ",", ".97183"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"85", ",", ".96865"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"90", ",", ".96534"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"95", ",", ".96192"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"100", ",", ".95838"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\[Degree]C\>\"", ",", "\"\<densit\[EAcute]\>\""}], "}"}]}], 
   ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "3"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "Full"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.401766157426223*^9, 3.401766591897614*^9}, 
   3.401766676590138*^9, {3.401766757249714*^9, 3.4017667930562153`*^9}, {
   3.401791664555835*^9, 3.401791669171867*^9}, {3.401791918215571*^9, 
   3.401791918545979*^9}, {3.4017919616744537`*^9, 3.401791965418724*^9}, {
   3.401792438688201*^9, 3.401792525952497*^9}, {3.4017926604242277`*^9, 
   3.401792661605445*^9}, {3.401853305326709*^9, 3.4018533057885103`*^9}, 
   3.401853348165332*^9, {3.4018534240531063`*^9, 3.401853424772561*^9}, {
   3.401857044883915*^9, 3.401857051162709*^9}, 3.401861631376897*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxl2nk8VG3YOHDJGslWSMqeLfsu3RdjX2cwTIoKZc1StMheUkjZogUttCAk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   "], {{{}, {}, 
     {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwl1lWUEAQQBdBl6e7Opbu7u3PphqVz6e5uUEpplFIaFAWlO5Tu7u5uL8eP
e+Z7Pt68CQoJDe4aJiAgoH5gQEBiMwlJSUZyUpCSVASRmjSkJR3pyUBGMpGZ
LGQlG9nJQU5ykZs85CUf+SlAQQpRmCIUpRjFKUFJSlGaMpSlHOWpQEUqUZkq
VKUa1alBTWoRTG3qUJd633anAQ1pRGOa0JRmNKcFLQmhFa1pQ1va0Z4OdKQT
nelCV0LpRnd60JNe9KYPfelHfwYwkEEMZghDGcZwRjCSUYxmDGMZx3gmMJFJ
TGYKU5nGd3zPdGYwk1nM5gd+ZA5zmcd8FrCQRSzmJ35mCUtZxnJW8Au/spJV
rGYNa1nHejawkd/4nU38wZ9sZgt/8Tdb2cZ2drCTXexmD3vZx34OcJBDHOYI
//AvRznGcU5wklOc5gxnOcd5LnCRS1zmCle5xnVucJNb3OYOd7nHfR7wkEc8
5glPecZzXvCSV7zmDW95x3s+8JFPfOYLXwkQ0jAEEpZwhCcCEYlEZKIQlWhE
JwYxiUVs4hCXeMQnAQlJRGKSkJRkJCcFKUlFEKlJQ1rSkZ4MZCQTmclCVrKR
nRzkJBe5yUNe8pGfAhSkEIUpQlGKUZwSlKQUpSlDWcpRngpUpBKVqUJVqlGd
GtSkFsHUpg51qUd9GtCQRjSmCU1pRnNa0JIQWtGaNrSlHe3pQEc60ZkufDuu
oXSjOz3oSS9604e+9KM/AxjIIAYzhKEMYzgjGMkoRjOGsYxjPBOYyCQmM4Wp
TOM7vmc6M5jJLGbzAz8yh7nMYz4LWMgiFvMTP7OEpSxjOSv4hV9ZySpWs4a1
rGM9G9jIb/zOJv7gTzazhb/4m61sYzs72MkudrOHvexjPwc4yCEOc4R/+Jej
HOM4JzjJKU5zhrOc4zwXuMglLnOFq1zjOje4yS1uc4e73OM+D3jIIx7zhKc8
4zkveMkrXvOGt7zjPR/4yCc+84WvBOjnMAQSlnCEJwIRiURkohCVaEQnBjGJ
RWziEJd4xCcBCUn0rf9JQlKSkZwUpCQVQaQmDWlJR3oykJFMZCYLWclGdnKQ
k1zkJg95yUd+ClCQQhSmCEUpRnFKUJJSlKYMZSlHeSpQkUpUpgpVqUZ1alCT
WgRTmzrUpV7g/79PAxrSiMY0oSnNaE4LWhJCK1rThra0oz0d6EgnOtOFroTy
H9ajGhg=
       "]]}}, {
     {Hue[0.67, 0.6, 0.6], 
      PointBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18,
        19, 20, 21, 22, 23, 24}]}, {}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.96},
  Frame->True,
  FrameLabel->{
    FormBox["\"\[Degree]C\"", TraditionalForm], 
    FormBox["\"densit\[EAcute]\"", TraditionalForm]},
  GridLines->Automatic,
  PlotRange->{{-1.1102230246251565`*^-16, 100.}, {0.95838, 
   1.0000207784594397`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.4018624960885067`*^9}]
}, Open  ]],

Cell["\<\
Mettons en \[EAcute]vidence le comportement singulier de l' eau entre 0 et 4 \
\[Degree]C:\
\>", "Text",
 CellChangeTimes->{{3.401862984244376*^9, 3.401863012061103*^9}},
 FormatType->"TextForm"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"dn", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\[Degree]C\>\"", ",", "\"\<densit\[EAcute]\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "12"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{".99958", ",", "1.00002"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\[Degree]C\>\"", ",", "\"\<densit\[EAcute]\>\""}], "}"}]}], 
   ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "Automatic"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.401766827075344*^9, 3.401766995559887*^9}, {
   3.4017916824167557`*^9, 3.401791694661716*^9}, {3.401791926607905*^9, 
   3.401791941214613*^9}, {3.401791978489711*^9, 3.4017920076085777`*^9}, {
   3.401792111870976*^9, 3.4017921271681433`*^9}, {3.4017925771041403`*^9, 
   3.4017926294861717`*^9}, 3.401792687202074*^9, {3.401792830349593*^9, 
   3.4017928940632973`*^9}, {3.4018570725825987`*^9, 3.401857091612176*^9}, {
   3.401859716147215*^9, 3.401859716397187*^9}}],

Cell[BoxData[
 GraphicsBox[
  GraphicsComplexBox[{{0., 0.99987}, {3.98, 1.}, {5., 0.99999}, {10., 
   0.99973}, {0., 0.9996}, {3.98, 0.9996}, {5., 0.9996}, {10., 0.9996}, {100.,
    0.9996}, {0., 0.99987}, {3.98, 1.}, {5., 0.99999}, {10., 0.99973}, {15., 
   0.99913}, {18., 0.99862}, {20., 0.99823}, {25., 0.99707}, {30., 0.99567}, {
   35., 0.99406}, {38., 0.99299}, {40., 0.99224}, {45., 0.99025}, {50., 
   0.98807}, {100., 0.99958}, {11.249999999999769`, 0.99958}, {55., 
   0.98573}, {60., 0.98324}, {65., 0.98059}, {70., 0.97781}, {75., 0.97489}, {
   80., 0.97183}, {85., 0.96865}, {90., 0.96534}, {95., 0.96192}, {100., 
   0.95838}}, {{{}, {}, {}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{9, 24}]}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{5, 1}], LineBox[{6, 2}], 
      LineBox[{7, 3}], LineBox[{8, 4}]}}, {{}, 
     {Hue[0.67, 0.6, 0.6], 
      PointBox[{10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 26, 
       27, 28, 29, 30, 31, 32, 33, 34, 35}]}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[Degree]C\"", TraditionalForm], 
    FormBox["\"densit\[EAcute]\"", TraditionalForm]},
  AxesOrigin->{0, 0.9996},
  Frame->True,
  FrameLabel->{
    FormBox["\"\[Degree]C\"", TraditionalForm], 
    FormBox["\"densit\[EAcute]\"", TraditionalForm]},
  GridLines->{None, Automatic},
  PlotRange->{{-1, 12}, {0.99958, 1.00002}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.4018624961910458`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Coefficient de dilatation volumique \[Gamma] de l'eau en fonction de la temp\
\[EAcute]rature\
\>", "Subsubsection",
 CellChangeTimes->{{3.401766060693678*^9, 3.401766083963477*^9}, {
  3.4018533680107193`*^9, 3.401853372157202*^9}, {3.4018541764952106`*^9, 
  3.401854177913039*^9}}],

Cell["\<\
Nous obtenons les valeurs du coefficient \[Gamma] en calculant la pente entre \
deux temp\[EAcute]ratures cons\[EAcute]cutives du premier graphique ci-dessus \
et en reportant l'oppos\[EAcute] de cette pente pour la moyenne des deux temp\
\[EAcute]ratures \[AGrave] partir de laquelle elle a \[EAcute]t\[EAcute] \
obtenue:\
\>", "Text",
 CellChangeTimes->{{3.401862527566679*^9, 3.4018625861193037`*^9}, {
  3.4018626485852213`*^9, 3.401862660425764*^9}, {3.4018626914186563`*^9, 
  3.401862720803644*^9}, {3.4018630541622133`*^9, 3.4018631265415983`*^9}, {
  3.401863198228694*^9, 3.401863231364317*^9}, {3.401863261749147*^9, 
  3.40186326816537*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"val", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Plus", "@@", 
          RowBox[{"Take", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", "dn", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"m", ",", 
              RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], "/", "2"}], ",", 
        RowBox[{"-", 
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Fit", "[", 
            RowBox[{
             RowBox[{"Take", "[", 
              RowBox[{"dn", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}], ",", "x"}], 
          "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", "dn", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", "1"}]}], "}"}]}], 
     "]"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<\[Degree]C\>\"", ",", "\"\<\!\(\*FormBox[
RowBox[{\"coefficient\", \" \", \"de\", \" \", \"dilatation\", \" \", \
\"volumique\"}],
TextForm]\)\>\""}], "}"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"None", ",", "Automatic"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4018544942869453`*^9, 3.401854589951686*^9}, {
   3.4018546282761383`*^9, 3.401854676505618*^9}, {3.401854735869965*^9, 
   3.401854832966474*^9}, {3.401854889786067*^9, 3.401854899600518*^9}, {
   3.401854930356967*^9, 3.4018549976559153`*^9}, {3.401855084130835*^9, 
   3.401855129810336*^9}, {3.401855747968122*^9, 3.401855800369504*^9}, 
   3.401856067986721*^9, {3.4018569824332943`*^9, 3.401857019407591*^9}, {
   3.401857098155861*^9, 3.401857152323855*^9}, {3.401860448622913*^9, 
   3.401860454088982*^9}, {3.401861890959169*^9, 3.401861892300974*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGBwBWIQfX1xgS3X9f/2c08JM/+XZ9z/TSOm/9BXQQfPJ1k7
Cvqf2DGAgZzD8vfqqUHO3PYQvqaDr2Kor0CpPITfYOAgvb3woYOHGlTe2EHF
/aqdbL8mVN7MofS45+UFGXpQvrVDI/Px6/MijSB8BwcHoUsqFc5SplC+k8OJ
UtvV9+PNoeqdHSors/aUTLaAyrs6SFy49TtE1ArCP+Du8ObB1r13J9lA5b0c
XGed2bhntR1U3seh+mPA7bZAB6i8v4NAeEzot1hHCP9BgEPAlNYXAhZOEL5C
kMOzRv/iT0rOEH5CsEN8meS/y7wuEP6CEIcnjItmql+H8h+EOnywOK3jtNEV
qj/cYSPv5gvnMt2g+iMceCZY5ygZu9vDwpsBCmDhzYAC5ND4mqh8YHijyhuj
yZuh8a1R+cDwRuU7oal3RpN3ReUDwxtV3gtN3gdN3h+VDwxvFD4wvFH4wPBG
4QPDG1V/KJr+cDT9EXD+aPpmoGv6BgAxnPGW
   "], {{{}, {}, {}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{24, 1}]}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{25, 2}], LineBox[{26, 3}], 
      LineBox[{27, 4}], LineBox[{28, 5}], LineBox[{29, 6}], LineBox[{30, 7}], 
      LineBox[{31, 8}], LineBox[{32, 9}], LineBox[{33, 10}], 
      LineBox[{34, 11}], LineBox[{35, 12}], LineBox[{36, 13}], 
      LineBox[{37, 14}], LineBox[{38, 15}], LineBox[{39, 16}], 
      LineBox[{40, 17}], LineBox[{41, 18}], LineBox[{42, 19}], 
      LineBox[{43, 20}], LineBox[{44, 21}], LineBox[{45, 22}], 
      LineBox[{46, 23}]}}, {{}, 
     {Hue[0.67, 0.6, 0.6], 
      PointBox[{47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 
       62, 63, 64, 65, 66, 67, 68, 69}]}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox["\"\[Degree]C\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*FormBox[\\n RowBox[{\\\"coefficient\\\", \\\" \\\", \
\\\"de\\\", \\\" \\\", \\\"dilatation\\\", \\\" \\\", \\\"volumique\\\"}],\\n \
TextForm]\\)\"", TraditionalForm]},
  GridLines->{None, Automatic},
  PlotRange->{{0., 97.5}, {-0.00003266331658293329, 0.0007079999999999322}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.4018624963016357`*^9}]
}, Open  ]],

Cell["\<\
Ajustons une fonction sur les valeurs obtenues pour pouvoir calculer des \
valeurs interm\[EAcute]diaires:\
\>", "Text",
 CellChangeTimes->{{3.4018622748895617`*^9, 3.401862312606987*^9}, {
   3.401862740487323*^9, 3.4018627487250557`*^9}, 3.4018629575583563`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Fit", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Plus", "@@", 
              RowBox[{"Take", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transpose", "[", "dn", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"m", ",", 
                  RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], "/", "2"}], 
            ",", 
            RowBox[{"-", 
             RowBox[{"Coefficient", "[", 
              RowBox[{
               RowBox[{"Fit", "[", 
                RowBox[{
                 RowBox[{"Take", "[", 
                  RowBox[{"dn", ",", 
                   RowBox[{"{", 
                    RowBox[{"m", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}], ",", 
               "x"}], "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", 
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "dn", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", "1"}]}], "}"}]}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "x", ",", 
          RowBox[{"x", "^", "2"}], ",", 
          RowBox[{"x", "^", "3"}]}], "}"}], ",", "x"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"GridLines", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"None", ",", "Automatic"}], "}"}]}]}], "]"}], ",", "val"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.401860373300333*^9, 3.4018605837393713`*^9}, {
   3.401860721951158*^9, 3.401860725361837*^9}, 3.4018618654644012`*^9, {
   3.4018618977195168`*^9, 3.401861898557838*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVzGs0FHgYBvDJioopbNmdspJNUsqY3JrwvuaqXGaIDB22kmbcr6UYm64q
ypFqS5k4JaUWpRsdJlsorR3rkkJoqsGJdENrmmb/fXjOc34fnmfRlnj/CB0K
heJL8r0tczUXZOb17jrt2dY6EVT5nRk2C2Ml56HF7qDioxVVXr+z/OJSSQU8
UXM63qoM5Y30RLGeRA6cs3XvJySG8kc5bZ7jYgUUUSPDEmMN5I+Z+6pHxP2Q
Gt3uP5E6U96c15M4JB4DgfjBv8z86fJ1tfq+KrEWdqTtiNE+VNe1UJ1m6oYa
4VCU3vxZnW3urFzu/VLBz9jgfLUoU0OBCLspqj3VAksHBh1He2aDj03EB1P+
YoxTugbfrjSFGx0Z2x+7LMUHTa95ocxfYI3Jsgrd3bb42OdOeLO+JYjVxwtL
RHS07X8V+IRlBfGNg6sqfBh4+ltKedeypXAkRM9KE+OAnIFdtY0OyyG8KX2b
vcQJF1+0Tvz7/Qqo16f5RQe74I+U686X2XSwN848NZzCxM7Lqa9QZg+bPrnZ
+sa44p/nlsQbPWVAsazBbPKoO9ak1ZgML3CAqmPMnjZ/xNHWMQMdoSOk1LgJ
C709sCiooZoV4QTy5pKPhzeycMZCxp6ULGeI5K+ujRSx8VHBgfJXOS5w7rL9
regoDt6vSd+/TbYa8j7V7klI5aKaZvI0p5gJqrLtOyRJPLw2emhic/YaeMg7
fnrvXj5+ib/2SJ7pCtME3crcTE/UhnYVFoe5AcXj9rSiXWtx1WReSZu9Oxz6
adKnLWsdzt14tU9oBJAQEv7X5D4vZLW299l2A7zc47AVTnrjrPSmrBNBCHPz
z3QfLvbBk50Fo0m1CJeMlu1qOuuLqt6RDK/5HlCftJBrfVWAjBThhx6pB8gs
iszcAoTIU79AWpcH1EqnKJJWIZ4KNh4yW8mCRV76X38N8sM5MaWzrbJZcFNh
k/28ww9X6zHv9Q6wIKfxG90i1B9fh0won7uyIT95OGpTrz9eKsm0ox1ng3Se
+RzL4PW4pGOMw3/Dhis205tTBtbjbekbN2/ggN7nabT6sABM+vyiISifA6X0
67/LBgNwAA7Kqt5xwGZLma8mNhDd6Z2j7zy50LO2+kbg20BsDxncoijkQtuF
tBWQvAH7qL2ePVNc+FLl52r5cQP+wTKkDfrzQHs36dbBuCAMeDmRe6iMB150
Hlc6HoQvQt6Y+RnwoSnULjI6WYQFweHKZDEfsjTNF96qRajW6h471sKHgBO0
cTVxxYKxoQJii+USnuFXEVLLlexS4hrR9GFbYoGz6j858UgVrIwjtuwP2/aB
WBh18+57YhOZqUfAP3yY31XYMq4R4dkrRRqagg+q2BFzvW8i7OyoDl5CXKW7
JsGUOC2t9xaD2JvxzMSZONbRPc6LePdRE9FOYkFscr+U+DU7SzlFbKy9+KCf
uLK7c5WBVoT3+gItRogzEhcfWEB8jWmU8YXY9Hy9tSuxQlzsZNzKh7VT6pgM
4sgCxzIWsWneurqjxOm/MfQFxErrM3Nk3/+KXbZuJJYGOt2oI/aRbTZPIfYc
2f+DgviZaH96JvG8fe0B/cRGeZXPcr7vaZaXxoipfJXjGeLyyoRJLfFomlV+
CfH/tYNInw==
      "]]}}, GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGBwBWIQfX1xgS3X9f/2c08JM/+XZ9z/TSOm/9BXQQfPJ1k7
Cvqf2DGAgZzD8vfqqUHO3PYQvqaDr2Kor0CpPITfYOAgvb3woYOHGlTe2EHF
/aqdbL8mVN7MofS45+UFGXpQvrVDI/Px6/MijSB8BwcHoUsqFc5SplC+k8OJ
UtvV9+PNoeqdHSors/aUTLaAyrs6SFy49TtE1ArCP+Du8ObB1r13J9lA5b0c
XGed2bhntR1U3seh+mPA7bZAB6i8v4NAeEzot1hHCP9BgEPAlNYXAhZOEL5C
kMOzRv/iT0rOEH5CsEN8meS/y7wuEP6CEIcnjItmql+H8h+EOnywOK3jtNEV
qj/cYSPv5gvnMt2g+iMceCZY5ygZu9vDwpsBCmDhzYAC5ND4mqh8YHijyhuj
yZuh8a1R+cDwRuU7oal3RpN3ReUDwxtV3gtN3gdN3h+VDwxvFD4wvFH4wPBG
4QPDG1V/KJr+cDT9EXD+aPpmoGv6BgAxnPGW
    "], {{{}, {}, {}, 
      {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{24, 1}]}, 
      {Hue[0.67, 0.6, 0.6], Opacity[0.2], LineBox[{25, 2}], LineBox[{26, 3}], 
       LineBox[{27, 4}], LineBox[{28, 5}], LineBox[{29, 6}], LineBox[{30, 7}],
        LineBox[{31, 8}], LineBox[{32, 9}], LineBox[{33, 10}], 
       LineBox[{34, 11}], LineBox[{35, 12}], LineBox[{36, 13}], 
       LineBox[{37, 14}], LineBox[{38, 15}], LineBox[{39, 16}], 
       LineBox[{40, 17}], LineBox[{41, 18}], LineBox[{42, 19}], 
       LineBox[{43, 20}], LineBox[{44, 21}], LineBox[{45, 22}], 
       LineBox[{46, 23}]}}, {{}, 
      {Hue[0.67, 0.6, 0.6], 
       PointBox[{47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 
        62, 63, 64, 65, 66, 67, 68, 69}]}, {}}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  GridLines->{None, Automatic},
  PlotRange->{{0, 100}, {-0.00005606568169539383, 0.0007267769308717233}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.401862496397352*^9}]
}, Open  ]],

Cell["\<\
En choisissant le pas deltat, cette fonction permet d'obtenir le coefficient \
de dilatation volumique de l'eau pour n'importe quelle temp\[EAcute]rature \
comprise entre 0 et 100 \[Degree]C:\
\>", "Text",
 CellChangeTimes->{{3.4018623417919073`*^9, 3.401862428010243*^9}, {
  3.4018627868582*^9, 3.401862790038887*^9}, {3.401862946054617*^9, 
  3.401862948051807*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tmin", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltat", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Plus", "@@", 
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", "dn", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"m", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], "/", "2"}], 
              ",", 
              RowBox[{"-", 
               RowBox[{"Coefficient", "[", 
                RowBox[{
                 RowBox[{"Fit", "[", 
                  RowBox[{
                   RowBox[{"Take", "[", 
                    RowBox[{"dn", ",", 
                    RowBox[{"{", 
                    RowBox[{"m", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}], ",", 
                 "x"}], "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"m", ",", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", "dn", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", "1"}]}], "}"}]}],
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "x", ",", 
            RowBox[{"x", "^", "2"}], ",", 
            RowBox[{"x", "^", "3"}]}], "}"}], ",", "x"}], "]"}]}], "}"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "tmin", ",", "tmax", ",", "deltat"}], "}"}]}], "]"}], 
   ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<\[Degree]C\>\"", ",", "\"\<\!\(\*FormBox[\"\[Gamma]\",
TextForm]\)\>\""}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4018617016964397`*^9, 3.401861827498828*^9}, {
   3.401861906055908*^9, 3.401861971943141*^9}, {3.401862021189851*^9, 
   3.401862072549727*^9}, {3.401862108976549*^9, 3.401862110310845*^9}, {
   3.4018623248529778`*^9, 3.40186233773273*^9}, {3.401862442482194*^9, 
   3.401862467281131*^9}, 3.401862805734598*^9}],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\[Degree]C\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*FormBox[\\\"\[Gamma]\\\",\\n TextForm]\\)\"\>",
       HoldForm]},
     {"0", 
      RowBox[{"-", "0.00005606571296697357`"}]},
     {"10", "0.00008476787327315233`"},
     {"20", "0.0002029860382819509`"},
     {"30", "0.0003018571216314652`"},
     {"40", "0.00038464946289373797`"},
     {"50", "0.0004546314016408121`"},
     {"60", "0.0005150712774447306`"},
     {"70", "0.0005692374298775363`"},
     {"80", "0.0006203981985112721`"},
     {"90", "0.000671821922917981`"},
     {"100", "0.0007267769426697055`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\[Degree]C", 
       "\!\(\*FormBox[\"\[Gamma]\",\n TextForm]\)"}}]]]], "Output",
 CellChangeTimes->{3.4018624965150213`*^9, 3.401862805946185*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1219, 951},
WindowMargins->{{24, Automatic}, {25, Automatic}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 131, 2, 69, "Subtitle"],
Cell[CellGroupData[{
Cell[746, 29, 119, 2, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[890, 35, 614, 18, 64, "Input"],
Cell[1507, 55, 219, 4, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1775, 65, 120, 2, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[1920, 71, 763, 20, 86, "Input"],
Cell[2686, 93, 234, 3, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2969, 102, 148, 3, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[3142, 109, 1149, 35, 86, "Input"],
Cell[4294, 146, 690, 20, 65, "Output"],
Cell[4987, 168, 341, 8, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5377, 182, 170, 3, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[5572, 189, 987, 29, 109, "Input"],
Cell[6562, 220, 520, 14, 65, "Output"],
Cell[7085, 236, 363, 9, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7497, 251, 194, 3, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[7716, 258, 681, 19, 64, "Input"],
Cell[8400, 279, 210, 3, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8659, 288, 220, 4, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[8904, 296, 1158, 34, 86, "Input"],
Cell[10065, 332, 192, 3, 40, "Output"],
Cell[10260, 337, 207, 3, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10516, 346, 242, 4, 37, "Subsubsection"],
Cell[CellGroupData[{
Cell[10783, 354, 1356, 40, 109, "Input"],
Cell[12142, 396, 207, 3, 40, "Output"],
Cell[12352, 401, 288, 7, 40, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12689, 414, 187, 4, 37, "Subsubsection"],
Cell[12879, 420, 298, 9, 42, "Text"],
Cell[CellGroupData[{
Cell[13202, 433, 2817, 70, 154, "Input"],
Cell[16022, 505, 13965, 239, 365, "Output"]
}, Open  ]],
Cell[30002, 747, 205, 5, 39, "Text"],
Cell[CellGroupData[{
Cell[30232, 756, 1305, 30, 64, "Input"],
Cell[31540, 788, 1559, 31, 346, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33148, 825, 294, 6, 37, "Subsubsection"],
Cell[33445, 833, 663, 11, 61, "Text"],
Cell[CellGroupData[{
Cell[34133, 848, 2303, 57, 154, "Input"],
Cell[36439, 907, 1962, 40, 351, "Output"]
}, Open  ]],
Cell[38416, 950, 274, 5, 39, "Text"],
Cell[CellGroupData[{
Cell[38715, 959, 2136, 57, 154, "Input"],
Cell[40854, 1018, 3445, 64, 346, "Output"]
}, Open  ]],
Cell[44314, 1085, 379, 7, 61, "Text"],
Cell[CellGroupData[{
Cell[44718, 1096, 2713, 70, 244, "Input"],
Cell[47434, 1168, 1479, 41, 270, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
